<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright  2002 - 2011 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Name: COPPA 
| Type: Registration Addon
| Filename: coppa_admin.php
| Version: 2.01
| Author: Fangree Productions
| Developers: Fangree_Craig
| Site: http://www.fangree.co.uk
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
require_once "../../maincore.php";
require_once THEMES."templates/admin_header.php";
include LOCALE.LOCALESET."admin/settings.php";
require_once INCLUDES."bbcode_include.php";

if (!checkrights("COP")||!defined("iAUTH")||$_GET['aid']!=iAUTH) { redirect("../index.php"); }

if (file_exists(INFUSIONS."coppa_panel/locale/".$settings['locale'].".php")) {
	include INFUSIONS."coppa_panel/locale/".$settings['locale'].".php";
} else {
	include INFUSIONS."coppa_panel/locale/English.php";
}
include INFUSIONS."coppa_panel/infusion_db.php";

add_to_title($locale['global_200'].$locale['COPPA_TITLE']);

$cop_msg = "";

if (isset($_GET['error']) && isnum($_GET['error']) && !isset($message)) {
	if ($_GET['error'] == 0) {
		$message = $locale['900'];
	} elseif ($_GET['error'] == 1) {
		$message = $locale['901'];
	}
	if (isset($message)) {
		echo "<div id='close-message'><div class='admin-message'>".$message."</div></div>\n"; 
	}
}

$copsettings = dbarray(dbquery("SELECT * FROM ".DB_COPPA_TABLE.""));
$error = 0;

if (isset($_POST['savesettings'])) {
    $result = dbquery("UPDATE ".DB_COPPA_TABLE." SET
	coppaenable='".(isNum($_POST['coppaenable']) ? $_POST['coppaenable'] : "0")."',
	cop_msg='".addslash(descript($_POST['cop_msg']))."',
	cop_time='".(isNum($_POST['cop_time']) ? $_POST['cop_time'] : "0")."'
	");
	if (!$result) { $error = 1; }

	redirect(FUSION_SELF.$aidlink."&error=".$error);
}

opentable($locale['COPPA_TITLE']);
echo"<br /><center><div class='admin-message' width='60%'>".$locale['COPPA_DESC']."</div></center>\n";
echo "<form name='settingsform' method='post' action='".FUSION_SELF.$aidlink."'>\n";
echo "<table cellpadding='0' cellspacing='0' width='80%' class='center'>\n<tr>\n";
echo "<td width='30%' class='tbl'align='left' valign='top'>".$locale['COPPA004']."</td>\n";
echo "<td width='60%' class='tbl'><select name='coppaenable' class='textbox'>\n";
echo "<option value='1'".($copsettings['coppaenable'] == "1" ? " selected='selected'" : "").">".$locale['502']."</option>\n";
echo "<option value='0'".($copsettings['coppaenable'] == "0" ? " selected='selected'" : "").">".$locale['503']."</option>\n";
echo "</select></td>\n";
echo "</tr>\n<tr>\n";

  $coptime = array(
	1 => "600", // 10 Mins
	2 => "1800", // 30 Mins
	3 => "3600", // 1 Hour
	4 => "10800", // 3 Hours
	5 => "21600" // 6 Hours
);

  echo "<td class='tbl' align='left' width='30%' valign='top'>".$locale['COPPA012']."</td>";
  echo "<td class='tbl' align='left'>";
  echo "<select name='cop_time' class='textbox'>";
  echo "<option value='".$coptime['1']."'".($copsettings['cop_time'] == "".$coptime['1']."" ? " selected" : "").">".$locale['COPPA007']."</option>";
  echo "<option value='".$coptime['2']."'".($copsettings['cop_time'] == "".$coptime['2']."" ? " selected" : "").">".$locale['COPPA008']."</option>";
  echo "<option value='".$coptime['3']."'".($copsettings['cop_time'] == "".$coptime['3']."" ? " selected" : "").">".$locale['COPPA009']."</option>";
  echo "<option value='".$coptime['4']."'".($copsettings['cop_time'] == "".$coptime['4']."" ? " selected" : "").">".$locale['COPPA010']."</option>";
  echo "<option value='".$coptime['5']."'".($copsettings['cop_time'] == "".$coptime['5']."" ? " selected" : "").">".$locale['COPPA011']."</option>";
  echo "</select>\n";
  echo "</td>\n";
  echo "</tr>\n<tr>\n";
 
echo "<td class='tbl' align='left'  width='30%' valign='top'>".$locale['COPPA005']."<br /></td><td class='tbl'><textarea rows='5' name='cop_msg' class='textbox' style='width:400px'>".stripslashes($copsettings['cop_msg'])."</textarea><br />\n";
echo display_bbcodes("340px", "cop_msg", "settingsform", "smiley|url|img|b|i|u|left|center|right|small|big|color")."\n";
echo "</td>\n";
echo "</tr>\n</tr>\n";

echo "<td align='center' colspan='2' class='tbl'><br />\n";
echo "<input type='submit' name='savesettings' value='".$locale['COPPA006']."' class='button' />\n";
echo "</td></tr>\n";

echo "</table>\n";

echo "</form>\n";
 // Please do not remove copyright info 
 include INFUSIONS."coppa_panel/copyright_func.php";
 echo showFPCOPPAcopyright();
// End copyright info
closetable();

require_once THEMES."templates/footer.php";
?>