<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright  2002 - 2011 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Name: COPPA 
| Type: Registration Addon
| Filename: infusion.php
| Version: 2.01
| Author: Nick Jones, Fangree Productions
| Developers: Fangree_Craig
| Site: http://www.fangree.co.uk
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
if (!defined("IN_FUSION")) { die("Access Denied"); }

if (file_exists(INFUSIONS."coppa_panel/locale/".$settings['locale'].".php")) {
	include INFUSIONS."coppa_panel/locale/".$settings['locale'].".php";
} else {
	include INFUSIONS."coppa_panel/locale/English.php";
}
include INFUSIONS."coppa_panel/infusion_db.php";

// Infusion general information
$inf_title = $locale['COPPA001'];
$inf_description = $locale['COPPA001'];
$inf_version = "2.01";
$inf_developer = "Fangree Productions";
$inf_email = "admin@fangree.co.uk";
$inf_weburl = "http://www.fangree.co.uk";

$inf_folder = "coppa_panel";

$inf_newtable[1] = DB_COPPA_TABLE." (
coppaenable TINYINT(1) UNSIGNED DEFAULT '0' NOT NULL,
cop_msg TEXT NOT NULL,
cop_time INT(10) UNSIGNED DEFAULT '0' NOT NULL,
PRIMARY KEY (coppaenable)
) ENGINE=MyISAM;";

$inf_insertdbrow[1] = DB_COPPA_TABLE." (coppaenable, cop_msg, cop_time) VALUES('0', '".$locale['COPPA002']."', '600')";
$inf_insertdbrow[2] = DB_PANELS." SET panel_name='".$locale['COPPA001']."', panel_filename='".$inf_folder."', panel_content='', panel_side=2, panel_type='file', panel_access='0', panel_display='1', panel_status='1', panel_url_list='/register.php', panel_restriction='0'";
$inf_droptable[1] = DB_COPPA_TABLE;
$inf_deldbrow[1] = DB_PANELS." WHERE panel_filename='$inf_folder'";

$inf_adminpanel[1] = array(
	"title" => $locale['COPPA001'],
	"image" => "coppa.gif",
	"panel" => "coppa_admin.php",
	"rights" => "COP"
);

?>
